NX Open C++ Reference Guide
|
Represents a Tooling::CornerDesignBuilder , Corner Design is to provide tools to make corner. More...
Public Types | |
enum | CornerTypeOpt { CornerTypeOptChamfer, CornerTypeOptFillet, CornerTypeOptMickey } |
the corner types More... | |
enum | SelectFromOpt { SelectFromOptBoth, SelectFromOptPartBody, SelectFromOptPocketBody } |
the object selection options. More... | |
enum | Types { TypesCreate, TypesEdit, TypesDelete } |
The corner design type. More... | |
Public Member Functions | |
NXOpen::Expression * | ChamferAngle () |
Returns the chamfer angle. | |
NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt | CornerType () |
Returns the corner type Created in NX8.0.0. | |
NXOpen::Expression * | Offset () |
Returns the offset. | |
NXOpen::Expression * | RadiusDia () |
Returns the corner radius. | |
NXOpen::Features::SelectFeatureList * | SelectCorner () |
Returns the selected corner. | |
NXOpen::SelectEdgeList * | SelectEdge () |
Returns the selected edge. | |
NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt | SelectFrom () |
Returns the selection options. | |
void | SetCornerType (NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt cornerType) |
Sets the corner type Created in NX8.0.0. | |
void | SetSelectFrom (NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt selectFrom) |
Sets the selection options. | |
void | SetType (NXOpen::Tooling::CornerDesignBuilder::Types type) |
Sets the operation type of corner design. | |
NXOpen::Tooling::CornerDesignBuilder::Types | Type () |
Returns the operation type of corner design. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::CornerDesignBuilder , Corner Design is to provide tools to make corner.
To create a new instance of this class, use Tooling::CornerDesignCollection::CreateCornerDesignBuilder
Default values.
Property | Value |
---|---|
ChamferAngle.Value |
45 |
CornerType |
Chamfer |
Offset.Value |
1 (millimeters part), 0.1 (inches part) |
RadiusDia.Value |
5 (millimeters part), 0.5 (inches part) |
SelectFrom |
Both |
Created in NX8.0.0.
NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::ChamferAngle | ( | ) |
Returns the chamfer angle.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt NXOpen::Tooling::CornerDesignBuilder::CornerType | ( | ) |
Returns the corner type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::Offset | ( | ) |
Returns the offset.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::RadiusDia | ( | ) |
Returns the corner radius.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::SelectFeatureList* NXOpen::Tooling::CornerDesignBuilder::SelectCorner | ( | ) |
Returns the selected corner.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectEdgeList* NXOpen::Tooling::CornerDesignBuilder::SelectEdge | ( | ) |
Returns the selected edge.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt NXOpen::Tooling::CornerDesignBuilder::SelectFrom | ( | ) |
Returns the selection options.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::CornerDesignBuilder::SetCornerType | ( | NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt | cornerType | ) |
Sets the corner type
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
cornerType | cornertype |
void NXOpen::Tooling::CornerDesignBuilder::SetSelectFrom | ( | NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt | selectFrom | ) |
Sets the selection options.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
selectFrom | selectfrom |
void NXOpen::Tooling::CornerDesignBuilder::SetType | ( | NXOpen::Tooling::CornerDesignBuilder::Types | type | ) |
Sets the operation type of corner design.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
NXOpen::Tooling::CornerDesignBuilder::Types NXOpen::Tooling::CornerDesignBuilder::Type | ( | ) |
Returns the operation type of corner design.
Created in NX8.0.0.
License requirements : None